<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>CUIRegion (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CUIRegion (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIEvent.html" title="interface in com.sk89q.worldedit.internal.cui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/internal/cui/SelectionCylinderEvent.html" title="class in com.sk89q.worldedit.internal.cui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/internal/cui/CUIRegion.html" target="_top">Frames</a></li>
<li><a href="CUIRegion.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.internal.cui</div>
<h2 title="Interface CUIRegion" class="title">Interface CUIRegion</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/regions/selector/ConvexPolyhedralRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector">ConvexPolyhedralRegionSelector</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/CuboidRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector">CuboidRegionSelector</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/CylinderRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector">CylinderRegionSelector</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector">EllipsoidRegionSelector</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/ExtendingCuboidRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector">ExtendingCuboidRegionSelector</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/Polygonal2DRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector">Polygonal2DRegionSelector</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/SphereRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector">SphereRegionSelector</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">CUIRegion</span></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIRegion.html#describeCUI-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.extension.platform.Actor-">describeCUI</a></span>(<a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
           <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;player)</code>
<div class="block">Sends CUI events describing the region for
 versions of CUI equal to or greater than the
 value supplied by getProtocolVersion().</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIRegion.html#describeLegacyCUI-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.extension.platform.Actor-">describeLegacyCUI</a></span>(<a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                 <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;player)</code>
<div class="block">Sends CUI events describing the region for
 versions of CUI smaller than the value 
 supplied by getProtocolVersion().</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIRegion.html#getLegacyTypeID--">getLegacyTypeID</a></span>()</code>
<div class="block">Returns the type ID to send to CUI in the selection
 event if the CUI is in legacy mode.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIRegion.html#getProtocolVersion--">getProtocolVersion</a></span>()</code>
<div class="block">Returns the CUI version that is required to send
 up-to-date data.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIRegion.html#getTypeID--">getTypeID</a></span>()</code>
<div class="block">Returns the type ID to send to CUI in the selection event.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="describeCUI-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.extension.platform.Actor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>describeCUI</h4>
<pre>void&nbsp;describeCUI(<a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                 <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;player)</pre>
<div class="block">Sends CUI events describing the region for
 versions of CUI equal to or greater than the
 value supplied by getProtocolVersion().</div>
</li>
</ul>
<a name="describeLegacyCUI-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.extension.platform.Actor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>describeLegacyCUI</h4>
<pre>void&nbsp;describeLegacyCUI(<a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                       <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;player)</pre>
<div class="block">Sends CUI events describing the region for
 versions of CUI smaller than the value 
 supplied by getProtocolVersion().</div>
</li>
</ul>
<a name="getProtocolVersion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProtocolVersion</h4>
<pre>int&nbsp;getProtocolVersion()</pre>
<div class="block">Returns the CUI version that is required to send
 up-to-date data. If the CUI version is smaller than
 this value, the legacy methods will be called.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the protocol version</dd>
</dl>
</li>
</ul>
<a name="getTypeID--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTypeID</h4>
<pre>java.lang.String&nbsp;getTypeID()</pre>
<div class="block">Returns the type ID to send to CUI in the selection event.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the type ID</dd>
</dl>
</li>
</ul>
<a name="getLegacyTypeID--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getLegacyTypeID</h4>
<pre>java.lang.String&nbsp;getLegacyTypeID()</pre>
<div class="block">Returns the type ID to send to CUI in the selection
 event if the CUI is in legacy mode.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the legacy type ID</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIEvent.html" title="interface in com.sk89q.worldedit.internal.cui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/internal/cui/SelectionCylinderEvent.html" title="class in com.sk89q.worldedit.internal.cui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/internal/cui/CUIRegion.html" target="_top">Frames</a></li>
<li><a href="CUIRegion.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
